                                                                                                                                                                                                                        
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">
	function salir() {

		parent.salir();
		
		}
</script>


	

<?php include ("../conexion.php"); 

	 	$query_parametros = "SELECT * FROM web_0000 ";
		$rs_query_parametros = $mysqli->query($query_parametros);
		$filas_parametros = $rs_query_parametros->fetch_array();

		 $cedjur = $filas_parametros["CEDJUR"];	
 ?>
<body>
 <?php

if (!isset($_GET["compra"])) { $compra=0; } else  {  $compra=$_GET["compra"]; } 

$xml="../Comprobantes_mensajes/correos/".$compra;


    $xml = simplexml_load_file($xml);
	

	$clave     = $xml->Clave;
	$clave     = substr($clave,-19,10);
	$fecemi    = $xml->FechaEmision;
	$cedrec    = $xml->Receptor -> Identificacion ->Numero;

	
	$subgra = $xml->ResumenFactura -> TotalGravado;
	$subexe = $xml->ResumenFactura -> TotalExento;
	$totdes = $xml->ResumenFactura -> TotalDescuentos;
	$iva    = $xml->ResumenFactura -> TotalImpuesto;
	$flete  = '0';
	$otros  = $xml->ResumenFactura ->  TotalOtrosCargos;
	$totcomp   = $xml->ResumenFactura -> TotalComprobante;
	
	
	
if ($result2 = $mysqli->query("SELECT numfac  FROM facturas_compras  WHERE  numfac = '$clave' " )) {
//   $validamensaje = $result2->num_rows;
   $validamensaje = 0;
   $result2->close();
}


if ( $cedrec <>  $cedjur ){  ?>

	<script language="javascript">

	alert("Atencion Cedula del Receptor del Comprobante no concuerda con la Cedula inscrita en el Sistema , Favor verifique");
//	location.href="../Comprobantes_mensajes/listar_correos.php";
	
	parent.convertir_compra('<?php echo $compra?>');
	</script>
<?php  } 



else if ($validamensaje > 0 ){?>

	<script language="javascript">

	alert("Atencion Factura de Compra ya ha sido procesada anteriormente, Favor verifique");
	location.href="../Comprobantes_mensajes/listar_correos.php";
	
	</script>
      
<?php 
 }  else {




?>
<script language="javascript">
parent.convertir_compra('<?php echo $compra?>');

</script>
<?php 
 }  

?>
</div>
</body>
</html>
